ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt McAuliffe <mmcauli...@digitalthink.com>
Subject problem building ejb's using Ant 1.5 and weblogic 6.1
Date Wed, 10 Jul 2002 20:38:38 GMT
Hi-

I seem to be having a problem creating Weblogic 6.1 ejb's using this
morning's release of Ant 1.5.  I was previously using the following version:

Apache Ant version 1.5alpha compiled on February 26 2002.  

I'm getting the following java.lang.NoClassDefFoundError error with this
morning's release of Ant1.5:

     [ejbc] ERROR: Error from ejbc: EJB : CourseTrackingBean .Unable to
initialize method info for remote or home interface.The error is
java.lang.NoClassDefFoundError:
com/digitalthink/opel/core/datamodel/OpelDataModelException
     [ejbc]     at java.lang.Class.getMethods0(Native Method)
     [ejbc]     at java.lang.Class.getMethods(Class.java:742)
     [ejbc]     at
weblogic.ejb20.deployer.ClientDrivenBeanInfoImpl.initializeMethodInfos(Clien
tDrivenBeanInfoImpl.java:955)
     [ejbc]     at
weblogic.ejb20.deployer.ClientDrivenBeanInfoImpl.<init>(ClientDrivenBeanInfo
Impl.java:210)
     [ejbc]     at
weblogic.ejb20.deployer.EntityBeanInfoImpl.<init>(EntityBeanInfoImpl.java:20
1)
     [ejbc]     at
weblogic.ejb20.deployer.BeanInfoImpl.createBeanInfoImpl(BeanInfoImpl.java:33
3)
     [ejbc]     at
weblogic.ejb20.deployer.MBeanDeploymentInfoImpl.initializeBeanInfos(MBeanDep
loymentInfoImpl.java:395)
     [ejbc]     at
weblogic.ejb20.deployer.MBeanDeploymentInfoImpl.<init>(MBeanDeploymentInfoIm
pl.java:126)
     [ejbc]     at
weblogic.ejb20.ejbc.EJBCompiler.setupEJB(EJBCompiler.java:128)
     [ejbc]     at weblogic.ejbc20.runBody(ejbc20.java:358)
     [ejbc]     at weblogic.utils.compiler.Tool.run(Tool.java:79)
     [ejbc]     at weblogic.ejbc20.main(ejbc20.java:460)

     [ejbc] ERROR: ejbc found errors

BUILD FAILED
build.xml:336: Exception while calling weblogic.ejbc20. Details: Ejbc
reported an error

I checked the classes directory and the corresponding class is in fact
there.  I never encountered this error using 1.5alpha.  Has anyone had any
success building EJB's using Weblogic 6.1.  A separate project that we have
uses Weblogic 5.1 sp12 and it builds EJB's fine.

Thanks in advance,

Matt

--
To unsubscribe, e-mail:   <mailto:ant-user-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-user-help@jakarta.apache.org>


Mime
View raw message